org.apache.commons.jelly.tags.junit

## Class SuiteTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.junit.SuiteTag

All Implemented Interfaces:
  Tag

    public class SuiteTag
    extends TagSupport

Represents a collection of TestCases.. This tag is analagous to JUnit's TestSuite class.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`SuiteTag()`

### Method Summary

Methods
`void` `addTest(junit.framework.Test test)` Adds a new Test to this suite
`protected junit.framework.TestSuite` `createSuite()` Factory method to create a new TestSuite
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getName()`
`junit.framework.TestSuite` `getSuite()`
`void` `setName(java.lang.String name)` Sets the name of this test suite
`void` `setVar(java.lang.String var)` Sets the name of the test suite whichi is exported

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuiteTag

    public SuiteTag()

### Method Detail

#### addTest

    public void addTest(junit.framework.Test test)

Adds a new Test to this suite

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getSuite

    public junit.framework.TestSuite getSuite()

#### setVar

    public void setVar(java.lang.String var)

Sets the name of the test suite whichi is exported

#### getName

    public java.lang.String getName()

Returns:
  the name of this test suite

#### setName

    public void setName(java.lang.String name)

Sets the name of this test suite

#### createSuite

    protected junit.framework.TestSuite createSuite()

Factory method to create a new TestSuite